[package]
name = "geneit_backend"
version = "0.1.0"
edition = "2024"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
log = "0.4.28"
env_logger = "0.11.8"
clap = { version = "4.5.47", features = ["derive", "env"] }
lazy_static = "1.5.0"
lazy-regex = "3.4.1"
anyhow = "1.0.99"
actix-web = "4.11.0"
actix-cors = "0.7.1"
actix-multipart = "0.7.2"
actix-remote-ip = "0.1.0"
futures-util = "0.3.31"
diesel = { version = "2.2.12", features = ["postgres"] }
diesel_migrations = "2.2.0"
serde = { version = "1.0.219", features = ["derive"] }
serde_json = "1.0.143"
mailchecker = "6.0.18"
redis = "0.32.5"
lettre = "0.11.18"
rand = "0.9.2"
bcrypt = "0.17.1"
light-openid = "1.0.4"
thiserror = "2.0.16"
serde_with = "3.14.0"
rust_iso3166 = "0.1.14"
rust-s3 = "0.35.1"
sha2 = "0.10.9"
image = "0.25.8"
uuid = { version = "1.17.0", features = ["v4"] }
httpdate = "1.0.3"
zip = "4.3.0"
mime_guess = "2.0.5"
tempfile = "3.20.0"
base64 = "0.22.1"
ical = { version = "0.11.0", features = ["generator", "ical", "vcard"] }
chrono = "0.4.42"
